%define upstream_name    SVN-Dump
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A property block from a svn dump
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(PerlIO::gzip)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*This module is an alpha release. The interfaces will probably change in
the future, as I slowly learn my way inside the SVN dump format.*

An 'SVN::Dump' object represents a Subversion dump.

This module follow the semantics used in the reference document (the file
_notes/fs_dumprestore.txt_ in the Subversion source tree):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-3.mga10
+ Revision: 2205942
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-2.mga9
+ Revision: 1812427
- Mageia 9 Mass Rebuild

* Tue Mar 03 2020 tv <tv> 0.80.0-1.mga8
+ Revision: 1553344
- update to 0.08

* Thu Feb 20 2020 umeabot <umeabot> 0.70.0-2.mga8
+ Revision: 1546100
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 0.70.0-1.mga8
+ Revision: 1485886
- update to 0.07
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-7.mga7
+ Revision: 1271256
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1033568
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 946209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 750067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 686158
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 527292
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.60.0-1.mga4
+ Revision: 439845
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 372472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 01 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 61921
- imported package perl-SVN-Dump


* Tue Mar 01 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
